%define major 0
%define apiver 1
%define libname %mklibname %{name}- %{apiver} %{major}
%define develname %mklibname %{name}- -d %{apiver}

Name:		pixman
Summary:	A pixel manipulation library
Version:	0.10.0
Release:	%mkrel 1
License:	MIT
Group:		System/Libraries
URL:		http://gitweb.freedesktop.org/?p=pixman.git
Source:		http://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.bz2
Patch0:		pixman-visibility.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Pixel manipulation Library.

%package -n %{libname}
Summary:	Pixel manipulation library
Group:		System/Libraries

%description -n %{libname}
A library for manipulating pixel regions -- a set of Y-X banded
rectangles, image compositing using the Porter/Duff model
and implicit mask generation for geometric primitives including
trapezoids, triangles, and rectangles.


%package -n %{develname}
Summary:	Libraries and include files for developing with libpixman
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-%{apiver}-devel = %version-%release

%description -n %{develname}
This package provides the necessary development libraries and include
files to allow you to develop with pixman.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}

%makeinstall_std

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*%{apiver}.so.%{major}*

%files -n %{develname}
%defattr(0644,root,root,0755)
%doc TODO
%{_libdir}/*.so
%{_libdir}/*.*a
%{_includedir}/pixman-1/*.h
%{_libdir}/pkgconfig/*


%changelog
* Tue Apr 01 2008 Frederic Crozat <fcrozat@mandriva.com> 0.10.0-1mdv2008.1
+ Revision: 191349
- Release 0.10.0 (needed for cairo 1.6.0 when released), with additional MMX optimisations as a bonus

* Tue Jan 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 0.9.6-2mdv2008.1
+ Revision: 152909
- Disable patch0 as it was used only to "document" functions called by
  the X Server.
- Still a noop patch, but add an explicit _X_EXPORT for other symbols. This
  time symbols used by some X Server modules.
- This is a "noop" patch. But it can be considered a list of the functions,
  code from X Server uses from pixmap (libpixman-1), at a later stage, this
  library can be changed to make available only the public symbols.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Oct 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.6-1mdv2008.1
+ Revision: 102081
- new version

* Wed Oct 10 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 0.9.5-1mdv2008.1
+ Revision: 96931
- new upstream version: 0.9.5
- minor spec cleanup

  + Götz Waschk <waschk@mandriva.org>
    - fix library name to be compatible with libpixman in main
    - remove wrong obsoletes

* Tue Aug 07 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.4-1mdv2008.0
+ Revision: 59882
- Import pixman

